Provides: perl(Test2::Tools::PDL)
Name:           perl-Test2-Tools-PDL
Version:        0.001
Release:        1%{?dist}
Summary:        Test2 tools for verifying Perl Data Language piddles
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test2-Tools-PDL/
Source0:        http://www.cpan.org/authors/id/S/SL/SLOYD/Test2-Tools-PDL-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.010
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(PDL::Core)
BuildRequires:  perl(PDL::Lite)
BuildRequires:  perl(PDL::Primitive)
BuildRequires:  perl(PDL::Types)
BuildRequires:  perl(Safe::Isa)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Test2::API) >= 1.302175
BuildRequires:  perl(Test2::Compare) >= 0.000130
BuildRequires:  perl(Test2::Util::Ref)
BuildRequires:  perl(Test2::Util::Table)
BuildRequires:  perl(Test2::V0)
BuildRequires:  perl(parent)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(Exporter)
Requires:       perl(PDL::Lite)
Requires:       perl(PDL::Primitive)
Requires:       perl(PDL::Types)
Requires:       perl(Safe::Isa)
Requires:       perl(Scalar::Util)
Requires:       perl(Test2::API) >= 1.302175
Requires:       perl(Test2::Compare) >= 0.000130
Requires:       perl(Test2::Util::Ref)
Requires:       perl(Test2::Util::Table)
Requires:       perl(parent)
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module contains tools for verifying PDL piddles.

%prep
%setup -q -n Test2-Tools-PDL-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README dist.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Apr 12 2024 rpm 0.001-1
- Specfile autogenerated by cpanspec 1.78.
